GraphicsMagick

- Home
- Project
- Download
- Install
- Source
- News
- Utilities
- Programming
- Reference

# describe

Methods to describe an image

# DescribeImage

## Synopsis

    void DescribeImage( Image *image, FILE *file, const MagickBool verbose );

## Description

DescribeImage() describes an image by printing its attributes to the file. Attributes include the image width, height, size, and others.

The format of the DescribeImage method is:

    void DescribeImage( Image *image, FILE *file, const MagickBool verbose );

A description of each parameter follows:

image:

  The image.

file:

  The file, typically stdout.

verbose:

  A value other than zero prints more detailed information about the image. Values greater than one enable counting the number of colors in the image.

Copyright © GraphicsMagick Group 2002-2025